<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                   <!-- content -->
                   
                   <table class="table table-hover dataTable no-footer">
                    <thead>
                      <tr>
                        
                        <th scope="col">title</th>
                        <th scope="col">description</th>
                        <th scope="col">date</th>
                      </tr>
                    </thead>
                    <tbody>
                    
                      
                    </tbody>
                  </table>
                        
                    <div class="clear"></div>
                </div>
            </div>
        </div>
    </section>


    <script src="js/jq.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    <!-- <link rel="stylesheet" href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script> -->
    <script>
        $(document).ready(function () {
        $.ajax({
            type: "GET",
            url: "xml/books.xml",
            dataType: "xml",
            success: xmlParser
        });
        });

function xmlParser(xml) {

// $('table').DataTable();
$(xml).find("Book").each(function () {
    //$(this).find("Title").text()
    //$(this).find("Description").text()
    //$(this).find("Date").text()
    $('tbody').append(' <tr><td>'+$(this).find("Title").text()+'</td><td>'+$(this).find("Description").text()+'</td><td>@'+$(this).find("Date").text()+'</td></tr>');

 });

}
    </script>
    <style>
        div#DataTables_Table_0_length , div#DataTables_Table_0_filter {
    visibility: hidden;
}
td.dataTables_empty {
    display: none;
}
    </style>
</body>
</html>